---
# user deploy tasks

# update role namespace
- name: 'role.namespace.update'
  set_fact:
    role_namespace: '{{ run_mode|upper }}.users.{{ THIS_USER }}'

# load user specific vars if exists
- name: '{{ role_namespace }}.load.vars'
  include_vars: '{{ item }}'
  with_first_found:
    - 'users.{{ THIS_USER }}.yml'
    - 'users.default.yml'

# just ensure user exists
- name: '{{ role_namespace }}.ensure.user.exists'
  user:
    state: present
    name: '{{ THIS_USER }}'
    shell: '{{ users_default_shell }}'
    generate_ssh_key: '{{ users_default_generate_ssh_key }}'

# setup ssh pubkeys
- name: '{{ role_namespace }}.setup.ssh.pubkeys'
  authorized_key:
    user: '{{ THIS_USER }}'
    state: present
    key: '{{ item.key }}'
  with_items: '{{ users_ssh_pubkeys }}'
  loop_control:
    label: '{{ item.name }}'

# load user specific tasks if exists
- name: '{{ role_namespace }}.load.tasks'
  include_tasks: '{{ item }}'
  with_first_found:
    - 'users.{{ THIS_USER }}.yml'
    - 'users.default.yml'


# eof
